(*Copyright (C) 2016, Daniel Wyckoff.*)
(*This file is an upgrade of a  complete copy and paste from Daniel Schepler's "Zorn's Lemma." *)
(*This file is part of BooleanAlgebrasIntro2.

BooleanAlgebrasIntro2 is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

BooleanAlgebrasIntro2 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BooleanAlgebrasIntro2.  If not, see <http://www.gnu.org/licenses/>.*)

(*Version 0.3 bool2 -- certified -- Coq 8.4 pl4.*)


Require Export Relation_Definitions.

Arguments reflexive [A] _.
Arguments transitive [A] _.
Arguments symmetric [A] _.
Arguments antisymmetric [A] _.
Arguments equiv [A] _.
Arguments preorder [A] _.
Arguments Build_preorder [A] _ _ _.
Arguments preord_refl [A] [R] _ _.
Arguments preord_trans [A] [R] _ _ _ _ _ _.
Arguments order [A] _.
Arguments Build_order [A] _ _ _ _.
Arguments ord_refl [A] [R] _ _.
Arguments ord_trans [A] [R] _ _ _ _ _ _.
Arguments ord_antisym [A] [R] _ _ _ _ _.
Arguments equivalence [A] _.
Arguments Build_equivalence [A] _ _ _ _.
Arguments equiv_refl [A] [R] _ _.
Arguments equiv_trans [A] [R] _ _ _ _ _ _.
Arguments equiv_sym [A] [R] _ _ _ _.
Arguments PER [A] _.
Arguments Build_PER [A] _ _ _.
Arguments per_sym [A] [R] _ _ _ _.
Arguments per_trans [A] [R] _ _ _ _ _ _.
Arguments inclusion [A] _ _.
Arguments same_relation [A] _ _.
Arguments commut [A] _ _.